通知先一覧取得

Prev Next
Get
/api/notification_destinations/{type}

通知先(email、slack_channel または http)の一覧を取得します。
type=emailtype=slack_channel または type=http を指定することで、種類を絞り込むことができます。

Security
API Key: ApiKeyAuth
Header parameter nameAuthorization

認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
API KEYがabc123の場合は、Authorization: Token abc123とします。
API KEYの作成方法は、TROCCO API KEYの作成を参照ください。

Path parameters
type
stringRequired

通知先の種類です(email、slack_channel または http)。

Valid values[ "email", "slack_channel", "http" ]
Exampleemail
Query parameters
limit
integer (int64)

取得する通知先一覧の最大件数

Maximum200
Default50
Example10
cursor
string

取得する通知先一覧の最初のレコードを示すページネーションカーソル。
レスポンスに含まれる next_cursor を指定することで、後続のデータを取得できます。

ExampleeyJpZCI6MjF9
Responses
200

通知先一覧を返します。

Expand All
object
items
Array of object
object
Example{ "id": 1, "type": "email", "email": "test@example.com" }
id
integer (int64)

通知先のIDです。

type
string

通知先の種類です。

Valid values[ "email", "slack_channel", "http" ]
Exampleemail
email
string

type=email の場合に設定されるメールアドレスです。

Exampletest@example.com
channel
string | null

type=slack_channel の場合に設定されるチャンネル名です。

Example#general
name
string

type=http の場合に設定される通知先の名前です。

ExampleMy Webhook
url
string

type=http の場合に設定されるリクエスト先のURLです。

Examplehttps://example.com/webhook
description
string | null

type=http の場合に設定される通知先の説明です。

ExampleSlack Incoming Webhook
headers
Array of object

type=http の場合に設定されるリクエストヘッダーの一覧です(id 昇順)。
masking=true のヘッダーの value は空文字で返却されます。

object
id
integer (int64)

ヘッダーのIDです。

key
string

ヘッダー名です。

ExampleAuthorization
value
string

ヘッダーの値です。masking=true の場合は空文字が返却されます。

ExampleBearer xxxx
masking
boolean

value をレスポンスでマスキングするかどうかです。

Exampletrue
query_params
Array of object

type=http の場合に設定されるクエリパラメータの一覧です(id 昇順)。
masking=true のクエリパラメータの value は空文字で返却されます。

object
id
integer (int64)

クエリパラメータのIDです。

key
string

クエリパラメータ名です。

Exampletoken
value
string

クエリパラメータの値です。masking=true の場合は空文字が返却されます。

Examplexxxx
masking
boolean

value をレスポンスでマスキングするかどうかです。

Exampletrue
next_cursor
string

後続のページネーションリクエストの取得開始レコードを示すカーソル値です。

401

認証エラーです。API KEYをご確認ください。

404

指定した通知先が存在しません。